include("Sticky.js");

//OfficeSpaceSticky class... adds a logo and a nice 'quote of the day'
function OfficeSpaceSticky(name)
{
    //quick n dirty form of 'inheritance'?
    this.superclass = new Sticky(name);
    
    for( var i in this.superclass )
        this[i] = this.superclass[i];
    
    //a const or two...why not
    const QUOTE_FONT_FAM    = "Gill Sans";
    const QUOTE_FONT_SIZE   = 10;
    const QUOTE_FONT_COLOR  = "#555555";
    
    //create our office space logo
    this.myLogo = new Image(this.myWin);
    this.myLogo.src = "Resources/Images/logo.png";
    this.myLogo.zOrder = 1;
    
    //create office space "special edition" small bottom left logo
    this.myLogo2 = new Image(this.myWin);
	this.myLogo2.src = "Resources/Images/logo2.png";
	this.myLogo.zOrder = 2;
    
    /*
    //create our text field for quote of the day
    this.myQuote = new Text(this.myWin);
    this.myQuote.font = QUOTE_FONT_FAM;
    this.myQuote.size = QUOTE_FONT_SIZE;
    this.myQuote.color = QUOTE_FONT_COLOR;
    this.myQuote.data = new URL().fetch("http://xtremedesktops.com/projects/widgets/officespace/getquote.php");
    this.myQuote.truncation = "end";
    this.myQuote.zOrder = 2;
    */
    
    //create quote of the day image
    this.myQuote = new Image(this.myWin);
    this.myQuote.src = "http://www.hybridstudio.com/foreignphp/xd/widgets/officespace/getquote.php?r=" + random(0,100);
    
    updateNow();
        
    //we need to hide and show the logo/quote
    this.collapse = function()
    {
        //getting set in superclass but not here, so we set it now (there has got to be a better form of inheritance...)
        this.collapsed = true;
        
        this.superclass.collapse();
        this.myLogo.opacity = 0;
        this.myQuote.opacity = 0;
    }
    
    this.expand = function()
    {
        this.collapsed = false;
        
        this.superclass.expand();
        this.myLogo.opacity = 255;
        this.myQuote.opacity = 255;
    }
    
    //override so we can draw our logo and quote of the day
    this.draw = function()
    {        
        //draw the sticky
        this.superclass.draw();
        
        //now draw the office space logo (center it)
        this.myLogo.vOffset = this.myTB.height + ( (this.myWin.height/6) - (this.myLogo.height/6) );
        this.myLogo.hOffset = (this.myWin.width/2) - (this.myLogo.width/2);
        
        //draw bottom right logo
        this.myLogo2.vOffset = this.myWin.height - this.myLogo2.height;
        this.myLogo2.hOffset = this.myWin.width - this.myLogo2.width - 2;
        
        //draw the quote
        this.myQuote.hOffset = this.myWin.width - this.myQuote.width - 10;
        this.myQuote.vOffset = 15;
    }
    
    this.draw();
}